#ifndef SAVEDLG_H
#define SAVEDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

#include <klocale.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QPushButton;

class SaveDlg : public QDialog
{
    Q_OBJECT

public:
    SaveDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~SaveDlg();

    QLabel* textLabel1;
    QLabel* icolab;
    KIconLoader* i;
    QPushButton* pushButton1;
    QPushButton* pushButton1_2;
    QPushButton* pushButton1_3;
    bool abort;
    QString file;
    void setFile(QString fn);

protected:

protected slots:
    virtual void languageChange();
    void done();
};

#endif // FORM1_H
