#ifndef GROUPDLG_H
#define GROUPDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

#include <klocale.h>
#include <kiconloader.h>
#include <kstandarddirs.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QGroupBox;
class QLabel;
class QPushButton;
class QSpinBox;

class GroupDlg : public QDialog
{
    Q_OBJECT

public:
    GroupDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~GroupDlg();

    QPushButton* pushButton1;
    QPushButton* pushButton2;
    QGroupBox* groupBox1;
    QSpinBox* spinBox1;
    QLabel* textLabel1;
    QSpinBox* spinBox2;
    QLabel* textLabel2;

protected:

protected slots:
    virtual void languageChange();

    virtual void ChooseProgram();

};

#endif // GROUPDLG_H
